
Figure - Bug #116491
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111067 (New): AF-V3.0--Launcher/SystemUI-任务管理器

【AF】【EVT】【任务管理器】先打开音乐小窗，再打开视频小窗，后台无音乐应用进程
2023-02-23 16:00 - CD TEST-方永红

Status: CLOSED Start date: 2023-02-23

Priority: Normal Due date: 2023-02-28

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302220011

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0079.C101

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 出现问题的原因是由于在getRecentTasksImpl时,由于freeform的状态不对,导致task没有加入到recent task里面去,因此在Recent里面没有显示内容

Description

【前提条件】

1、设备正常启动

【测试步骤】

1、打开音乐小窗

2、播放音乐

3、长按桌面视频图标-打开小窗

4、进入任务管理器

【预期结果】

4、有视频小窗和音乐进程卡片

【实际结果】

4、只有视频小窗且音乐还在播放中

【复现率】

3/3

History

#1 - 2023-02-27 10:03 - CD APP-王营

- Due date set to 2023-02-28

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-王宏

#2 - 2023-02-27 10:58 - CD APP-王宏

- Category changed from CD-APP to CD-FW

- Assignee changed from CD APP-王宏 to CD FW-鲁凯峰

■ Current conclusion

分析中

■ My analysis

调查未从FW获取到相关task数据

■ Next action
请FW的同事调查一下原因，谢谢

#3 - 2023-02-28 18:05 - CD FW-鲁凯峰

- Category changed from CD-FW to 窗口定制

#4 - 2023-03-01 14:18 - CD FW-鲁凯峰

- Root cause set to 出现问题的原因是由于在getRecentTasksImpl时,由于freeform的状态不对,导致task没有加入到recent task里面去,因此在Recent里面没有显示内

容

■ Current conclusion

问题已经解决

■ My analysis

出现问题的原因是由于Launcher在通过getRecentTasksImpl获取recent list时,由于freeform的状态不对,导致task没有加入到recent task里面去,因此在Recent里面

没有显示内容

解决方法是,不在getRecentTasksImpl拦截数据,由Launcher自己去处理freeform task和正常的task list

■ Submit URL

http://10.0.232.3:3307/gerrit/c/general/platform/frameworks/base/+/185024

#5 - 2023-03-01 20:00 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

185024 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:MultiWindow: don't intercept freeform taskfollow aosp logic to handle recent task1. reset freeform task when new window mode isn't freeform2. add freeform

mode check when add recent taskTC-RID: 1201-0204601IssueID: TS-R-BUG-116491Change-Id: I312173716b3af05c74a083087f703b31902daadd

#6 - 2023-03-01 20:02 - CD FW-鲁凯峰

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

- Resolution changed from -- to FIXED

#7 - 2023-03-02 19:34 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0079.C101

3.2

验证通过
http://10.0.232.3:3307/gerrit/c/general/platform/frameworks/base/+/185024


#8 - 2023-03-02 19:36 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-02-23 16-00-19.mp4 10.4 MB 2023-02-23 CD TEST-方永红
